Update the tenant tax settings (EU guardrail enforced)
PUT
/admin/v1/taxes/settings
const url = 'https://your-store.example.com/admin/v1/taxes/settings';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"taxMode":"none","pricesIncludeTax":true,"ossPosture":"below_threshold","euVatRegistration":{"originCountry":"example","vatNumber":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://your-store.example.com/admin/v1/taxes/settings \ --header 'Content-Type: application/json' \ --data '{ "taxMode": "none", "pricesIncludeTax": true, "ossPosture": "below_threshold", "euVatRegistration": { "originCountry": "example", "vatNumber": "example" } }'